Bug 735882 - sysbench not compiled with libaio-devel installed
Summary: sysbench not compiled with libaio-devel installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: sysbench
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 01:38 UTC by Shawn Sterling
Modified: 2011-09-30 19:21 UTC (History)
1 user (show)

Fixed In Version: sysbench-0.4.12-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-24 21:58:21 UTC


Attachments (Terms of Use)

Description Shawn Sterling 2011-09-06 01:38:48 UTC
Description of problem:

sysbench is not compiled with libaio-devel installed, which makes it not work with the aio options. 

--file-io-mode=async
and
--file-async-backlog

won't work.

Version-Release number of selected component (if applicable):

sysbench-0.4.12-1.x86_64

How reproducible:

100%
install sysbench from epel repo. 
run any test with --file-io-mode-async or --file-async-backlog=xx

Additional info:

If you take the epel src.rpm and install libaio-devel and recompile, the options will work. Add a "BuildRequires: libaio-devel" to the spec and you'll be all set.

I tried this on fedora core 14 as well, same problem.

Comment 1 Xavier Bachelot 2011-09-06 09:53:33 UTC
Thanks for the report. I'll rebuild with the additional BuildRequires for all the branches asap.

Comment 2 Fedora Update System 2011-09-06 23:30:33 UTC
sysbench-0.4.12-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.fc14

Comment 3 Fedora Update System 2011-09-06 23:30:42 UTC
sysbench-0.4.12-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.el5

Comment 4 Fedora Update System 2011-09-06 23:30:50 UTC
sysbench-0.4.12-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.el6

Comment 5 Fedora Update System 2011-09-06 23:30:58 UTC
sysbench-0.4.12-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.fc15

Comment 6 Fedora Update System 2011-09-06 23:31:06 UTC
sysbench-0.4.12-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.fc16

Comment 7 Fedora Update System 2011-09-07 03:00:20 UTC
Package sysbench-0.4.12-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sysbench-0.4.12-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sysbench-0.4.12-5.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-24 21:58:16 UTC
sysbench-0.4.12-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-24 22:01:47 UTC
sysbench-0.4.12-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-25 03:33:04 UTC
sysbench-0.4.12-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-25 03:42:09 UTC
sysbench-0.4.12-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-30 19:21:21 UTC
sysbench-0.4.12-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.